From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/asciidoc/
Date: Wed, 19 Aug 2020 03:55:40 +0000 (UTC) [thread overview]
Message-ID: <1597809321.cafdf3e090f07d9a3d206af6bdc593db16b1c0a9.mattst88@gentoo> (raw)
commit: cafdf3e090f07d9a3d206af6bdc593db16b1c0a9
Author: Marc Joliet <marcec <AT> gmx <DOT> de>
AuthorDate: Sun Jul 5 14:34:36 2020 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 03:55:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cafdf3e0
app-text/asciidoc-9.0.2: version bump
Bump app-text/asciidoc to version 9.0.2. This series updated to a new
top-level Makefile, which the ebuild now makes use of. It also replaces
the "examples" USE flag with "doc", since the new Makefile has a
corresponding target "docs" that also includes the example website.
This commit also adds Python 3.9 to $PYTHON_TARGETS, since the tests
pass when run under it.
Closes: https://bugs.gentoo.org/732658
Closes: https://github.com/gentoo/gentoo/pull/16934
Signed-off-by: Marc Joliet <marcec <AT> gmx.de>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
app-text/asciidoc/Manifest | 2 +-
...idoc-9.0.0_rc2.ebuild => asciidoc-9.0.2.ebuild} | 26 +++++++++-------------
2 files changed, 11 insertions(+), 17 deletions(-)
diff --git a/app-text/asciidoc/Manifest b/app-text/asciidoc/Manifest
index 93bda0acf7c..53acfdadb8b 100644
--- a/app-text/asciidoc/Manifest
+++ b/app-text/asciidoc/Manifest
@@ -1,2 +1,2 @@
DIST asciidoc-8.6.10_p20181016.tar.gz 576694 BLAKE2B 4d255606675346d00ab03398bf48cb30d357f9f9366944e4faf66ae4c96dafce49acdd930fc848f3dbb2d704a004bb5815d17b53416a76c8368a92e4716328b2 SHA512 801f360b0c444e932f1c50897d446de0ec3f0fb2206080b5aa6dda396fede96065f7bb629a84c8a8e40c5d8897f305fdb1877512f04ae757f3b142fd3a7305d0
-DIST asciidoc-9.0.0_rc2.tar.gz 1145229 BLAKE2B e820a957a5e03f8b28e94fb0e9514b2beebe5b08a30357b7ab70db326894270972cfee1b44c30d51dc1c4794e91a09e36acbf9e464386d9e932ac7d32e2f8e93 SHA512 61ea1eb74a2e2da76f92e32ef279f8940fa4ea77a82078e15b54c7c6f134e9d177b0425c6eb8a239cfd2dc6a6f85ad5e93883a447a3e0e92850c0898747b5ea3
+DIST asciidoc-9.0.2.tar.gz 1144308 BLAKE2B 5f5deca6b8c15d4b86e2bd6fdb131908eecd862a5fdbbd8418937050d335a25ad012a3b1bc716379f5623db676176fc6da1a09691c2b42a213a6230281626b69 SHA512 ea8f64ce54d2f1aa38eceb3c1c9be17b388776de58038f3b888ac5ebed76337fa2779e43eb7f47174adf0a0446ee808dbd1e4f8f7e1d7db99db7c4c8584d5624
diff --git a/app-text/asciidoc/asciidoc-9.0.0_rc2.ebuild b/app-text/asciidoc/asciidoc-9.0.2.ebuild
similarity index 78%
rename from app-text/asciidoc/asciidoc-9.0.0_rc2.ebuild
rename to app-text/asciidoc/asciidoc-9.0.2.ebuild
index a9c28a00349..51bbc5e7936 100644
--- a/app-text/asciidoc/asciidoc-9.0.0_rc2.ebuild
+++ b/app-text/asciidoc/asciidoc-9.0.2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
inherit autotools eutils python-single-r1 readme.gentoo-r1
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/${PN}/${PN}-py3/archive/${PV/_/}.tar.gz -> ${P}.tar.
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="examples test"
+IUSE="doc test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="!test? ( test )"
@@ -54,6 +54,9 @@ src_prepare() {
sed -i -e "s:^CONF_DIR=.*:CONF_DIR='${EPREFIX}/etc/asciidoc':" \
asciidoc.py || die
+ # enforce usage of the configured version of Python
+ sed -i -e "s:python3:${EPYTHON}:" Makefile.in || die
+
eautoreconf
}
@@ -61,25 +64,16 @@ src_configure() {
econf --sysconfdir="${EPREFIX}"/usr/share
}
-src_test() {
- local -x ASCIIDOC_PY=asciidoc.py
- "${EPYTHON}" tests/test${PN}.py run || die
-}
-
src_install() {
default
+
+ if use doc; then
+ emake DESTDIR="${D}" docs
+ fi
+
python_fix_shebang "${ED}"/usr/bin/*.py
readme.gentoo_create_doc
-
- # Below results in some files being installed twice in different locations, but they are
- # in the right place, uncompressed, and there won't be any broken links. See bug #483336
- if use examples; then
- # examples/website is full of relative symlinks,
- # deref them for copying, which dodoc doesn't do
- cp -rL examples/website "${ED}"/usr/share/doc/${PF}/examples || die
- docompress -x /usr/share/doc/${PF}/examples
- fi
}
pkg_postinst() {
next reply other threads:[~2020-08-19 3:55 UTC|newest]
Thread overview: 143+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-19 3:55 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-06 10:01 [gentoo-commits] repo/gentoo:master commit in: app-text/asciidoc/ Petr Vaněk
2024-11-23 16:27 Sam James
2024-10-15 12:47 Arthur Zamarin
2024-10-09 5:46 Sam James
2024-10-08 20:37 Arthur Zamarin
2024-10-07 7:28 Sam James
2024-10-07 7:28 Sam James
2024-10-07 7:28 Sam James
2024-09-06 10:12 Petr Vaněk
2024-09-06 10:12 Petr Vaněk
2024-09-06 10:12 Petr Vaněk
2023-11-06 11:58 Andrew Ammerlaan
2022-12-18 19:59 Arthur Zamarin
2022-12-18 12:20 Sam James
2022-12-18 12:11 Sam James
2022-12-18 11:44 Sam James
2022-12-18 11:30 Sam James
2022-12-18 11:29 Sam James
2022-11-29 0:17 Ionen Wolkens
2022-10-17 23:56 Sam James
2022-08-26 12:04 Sam James
2022-06-21 7:00 Florian Schmaus
2022-05-05 10:17 WANG Xuerui
2022-04-21 7:54 Florian Schmaus
2022-02-23 13:32 Sam James
2022-02-20 23:33 Sam James
2022-01-02 0:04 Sam James
2022-01-01 11:07 Sam James
2021-12-31 10:49 Sam James
2021-12-30 21:01 Arthur Zamarin
2021-12-29 6:40 Arthur Zamarin
2021-12-29 6:40 Arthur Zamarin
2021-12-29 6:40 Arthur Zamarin
2021-12-29 6:00 Sam James
2021-12-29 5:58 Sam James
2021-12-29 5:35 Sam James
2021-12-29 3:19 Sam James
2021-12-29 3:14 Sam James
2021-12-29 1:58 Sam James
2021-12-29 1:58 Sam James
2021-12-29 1:58 Sam James
2021-08-16 22:34 Louis Sautier
2021-08-15 23:39 Louis Sautier
2021-07-28 2:58 Ionen Wolkens
2021-07-28 2:58 Ionen Wolkens
2021-05-16 18:56 Sam James
2021-05-14 6:42 Agostino Sarubbo
2021-05-14 6:42 Agostino Sarubbo
2021-05-07 18:56 Sergei Trofimovich
2021-05-07 13:31 Sam James
2021-05-07 13:30 Sam James
2021-05-07 13:29 Sam James
2021-05-06 21:21 Sam James
2021-03-29 20:59 Sam James
2021-03-12 8:36 Joonas Niilola
2021-03-12 8:36 Joonas Niilola
2021-02-14 5:37 Sam James
2021-02-10 16:29 Sergei Trofimovich
2021-02-09 21:30 Sam James
2021-02-09 9:48 Sam James
2021-02-09 8:23 Sam James
2021-02-09 6:16 Sam James
2020-12-17 15:04 Joonas Niilola
2020-09-23 11:07 Michał Górny
2020-09-23 10:29 Agostino Sarubbo
2020-09-18 8:11 Agostino Sarubbo
2020-09-18 7:54 Agostino Sarubbo
2020-09-16 17:48 Sergei Trofimovich
2020-08-25 13:59 Sam James
2020-08-25 12:35 Sam James
2020-08-24 1:57 Sam James
2020-06-28 20:51 Aaron Bauman
2020-05-27 20:38 Andreas Sturmlechner
2020-04-17 0:04 Andreas Sturmlechner
2020-02-18 13:28 Joonas Niilola
2020-02-18 13:21 Joonas Niilola
2020-02-18 8:49 Joonas Niilola
2019-11-02 8:09 Michał Górny
2019-11-02 8:03 Mikle Kolyada
2019-11-02 8:03 Mikle Kolyada
2019-08-29 11:39 David Seifert
2019-07-29 8:53 Mikle Kolyada
2019-07-29 8:53 Mikle Kolyada
2019-07-29 8:53 Mikle Kolyada
2019-07-23 0:42 Aaron Bauman
2019-07-18 18:35 Sergei Trofimovich
2019-07-18 13:10 Agostino Sarubbo
2019-07-18 11:45 Agostino Sarubbo
2019-07-18 10:01 Agostino Sarubbo
2019-07-18 9:57 Agostino Sarubbo
2019-07-17 14:03 Agostino Sarubbo
2019-07-10 20:44 Sergei Trofimovich
2019-07-08 12:10 Thomas Deutschmann
2019-07-08 11:05 Agostino Sarubbo
2019-05-04 14:43 Andreas K. Hüttel
2019-04-28 20:32 Mikle Kolyada
2019-04-20 6:46 Michał Górny
2019-04-14 14:37 Aaron Bauman
2019-04-12 7:06 Sergei Trofimovich
2018-06-23 14:25 Mikle Kolyada
2018-03-22 6:07 Markus Meier
2018-02-11 10:25 Michał Górny
2018-02-01 20:37 Thomas Deutschmann
2018-01-29 15:51 Tobias Klausmann
2018-01-08 16:35 Patrice Clement
2017-12-24 11:25 Sergei Trofimovich
2017-12-24 9:59 Sergei Trofimovich
2017-12-19 21:48 Sergei Trofimovich
2017-12-19 12:08 Jason Zaman
2017-11-04 7:42 Michael Palimaka
2017-11-04 7:42 Michael Palimaka
2017-10-18 20:54 Michał Górny
2017-10-18 20:54 Michał Górny
2017-06-27 12:30 Michael Palimaka
2017-03-18 12:22 David Seifert
2017-03-11 12:57 David Seifert
2017-03-10 18:05 David Seifert
2017-02-03 20:01 Jeroen Roovers
2017-01-24 10:09 Fabian Groffen
2017-01-22 9:23 Tobias Klausmann
2016-12-12 16:27 Michał Górny
2016-12-12 16:27 Michał Górny
2016-12-12 16:27 Michał Górny
2016-12-12 16:27 Michał Górny
2016-12-12 16:27 Michał Górny
2016-04-01 19:17 Markus Meier
2016-03-24 19:58 Patrice Clement
2016-03-22 14:32 Agostino Sarubbo
2015-12-21 22:28 Patrice Clement
2015-11-23 15:02 Patrice Clement
2015-11-23 13:13 Patrice Clement
2015-11-17 10:29 Patrice Clement
2015-11-17 6:00 Ian Delaney
2015-11-17 6:00 Ian Delaney
2015-11-17 6:00 Ian Delaney
2015-11-14 15:36 Ian Delaney
2015-11-14 15:36 Ian Delaney
2015-11-14 15:36 Ian Delaney
2015-11-14 15:36 Ian Delaney
2015-11-14 15:36 Ian Delaney
2015-11-14 15:36 Ian Delaney
2015-11-14 15:36 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1597809321.cafdf3e090f07d9a3d206af6bdc593db16b1c0a9.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox